Package org.gradle.tooling.events.task

# Interface TaskFinishEvent

All Superinterfaces:
  `FinishEvent`, `ProgressEvent`, `TaskProgressEvent`

@Incubating public interface TaskFinishEvent extends TaskProgressEvent, FinishEvent
An event that informs about a task having finished its execution. You can query the result of the task using `getResult()`.

Since:
  2.5

## Method Summary

Modifier and Type
Method
Description
`TaskOperationResult`
`getResult()`
Returns the result of the finished task operation.

### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

`getDisplayName, getEventTime`

### Methods inherited from interface org.gradle.tooling.events.task.TaskProgressEvent

`getDescriptor`

## Method Details

### getResult

TaskOperationResult getResult()
Returns the result of the finished task operation. Currently, the result will be one of the following sub-types:

- `TaskSuccessResult`
- `TaskSkippedResult`
- `TaskFailureResult`

Specified by:
  `getResult` in interface `FinishEvent`
Returns:
  the result of the finished task operation